> For the complete documentation index, see [llms.txt](https://layer-akira.gitbook.io/layerakira-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://layer-akira.gitbook.io/layerakira-documentation/integration/endpoints/responses.md).

# Responses

<table data-full-width="true"><thead><tr><th width="187">HTTP Status Code</th><th>Description</th><th>Response Body</th></tr></thead><tbody><tr><td>200</td><td>Successful request</td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "result": "..." }
</code></pre></td></tr><tr><td>401</td><td>Unauthorized - Authentication failed</td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "error": "Unauthorized", "code":401 }
</code></pre></td></tr><tr><td>404</td><td>Not Found - Resource not found</td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "error": "Not Found", "code"404 }
</code></pre></td></tr><tr><td>422</td><td>Unprocessable Entity - Request well-formed but unable to process due to semantic errors</td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "error": "some int", "code":&#x3C;custom error> }
</code></pre></td></tr><tr><td>429</td><td>Too Many Requests - Client has sent too many requests in a given amount of time</td><td><p></p><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "error": "Rate limit exceeded",
"code"429 }
</code></pre></td></tr><tr><td>500</td><td>Internal Server Error</td><td><pre class="language-json" data-overflow="wrap"><code class="lang-json">{ "error": 
"Internal Server Error", "code"500 }    
</code></pre></td></tr></tbody></table>

## Exchange Internal Error Codes

This documentation provides a list of internal error codes that might be returned by the exchange during a POST request.&#x20;

### Error Code Descriptions

* `ORDER_ALREADY_IN_PROGRESS`\
  An order with the same parameters is already in progress.
* `ACTION_ALREADY_IN_PROGRESS`\
  A similar action is currently being processed.
* `NO_ORDERS_WITH_THIS_ID`\
  There are no orders corresponding to the provided ID.
* `NOT_THIS_CLIENT_ORDER`\
  The order does not belong to the client making the request.
* `WITHDRAWING`\
  A withdrawal action is currently in progress.
* `NOT_ENOUGH_BALANCE`\
  The user's balance is insufficient for the requested operation.
* `FAILED_SIGN_CHECK`\
  Signature verification failed.
* `UNSUPPORTED_TRADED_PAIR`\
  The trading pair is not supported.
* `WRONG_FLAGS_FOR_LIMIT_ORDER`\
  Incorrect flags were used for a limit order.
* `WRONG_FLAGS_FOR_MARKET_ORDER`\
  Incorrect flags were used for a market order.
* `WRONG_FEE_TOKEN`\
  The fee token provided is incorrect.
* `WRONG_PBIPS`\
  Incorrect PBIPS value.
* `WRONG_GAS_PER_ACTION`\
  The gas per action value is incorrect.
* `WRONG_MAX_GAS_PRICE`\
  The maximum gas price is incorrect.
* `WRONG_CONVERSION_RATE`\
  The conversion rate provided is incorrect.
* `NOT_FOUND`\
  The requested resource was not found.
* `WRONG_INPUT`\
  The input provided is incorrect.
* `STALE_ORDER`\
  The order is stale.
* `WRONG_TIMESTAMP`\
  The timestamp provided is incorrect.
* `ECOSYSTEM_ORDER_ISSUE`\
  There is an issue with the Ecosystem Order.
* `WRONG_ROUTER`\
  The specified router is incorrect.
* `NO_ROUTER`\
  No router is specified.
* `WRONG_NONCE`\
  The nonce provided is incorrect.
* `WRONG_FEE_RECIPIENT`\
  The fee recipient address is incorrect.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://layer-akira.gitbook.io/layerakira-documentation/integration/endpoints/responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
